
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>C#语音朗读文本 — TTS的实现 / iVAN</title>

    <meta name="description" content="C#语音朗读文本 — TTS的实现 原文:C#语音朗读文本 - TTS的实现 TTS, Text To Speech的缩写,是使用语音朗读文本的技术.目前,在国内应用较多的是排队叫号系统 Windows 平台的TTS,通常使用的是微软自带的 Speech API. Windows XP 自带的是 Speech API 5.1,默认是只支持英文的.如果要朗读中文,需要安装LangPack,里面支持简体中文,不过,是个男生的发音. 从Vista开始,默认自带的 Microsoft Speech API 5.3,效果好了很多,可惜不支持">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">C#语音朗读文本 — TTS的实现</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>原文:<a href="http://www.cnblogs.com/JuneZhang/p/3696594.html" rel="external nofollow noreferrer">C#语音朗读文本 — TTS的实现</a><br />
<br />TTS, Text To Speech的缩写，是使用语音朗读文本的技术。目前，在国内应用较多的是排队叫号系统</p>
<p>Windows 平台的TTS，通常使用的是微软自带的 Speech API。</p>
<p>Windows XP 自带的是 Speech API 5.1，默认是只支持英文的。如果要朗读中文，需要安装LangPack，里面支持简体中文，不过，是个男生的发音。</p>
<p>从Vista开始，默认自带的 Microsoft Speech API 5.3，效果好了很多，可惜不支持XP，郁闷</p>
<p>下面，说一下 C# 利用 TTS 来朗读文本的实现方式：</p>
<p>从 .NET 3.0开始，.NET Framework里，提供了托管的Speech API 调用方法，这样，就非常流畅了。而不必拘泥于繁琐的非托管COM调用了。</p>
<p>.Net 3.0 的实现代码：</p>
<pre>using System.Speech.Synthesis;

SpeechSynthesizer synth = new SpeechSynthesizer();

synth.Speak("Hello, world! 你好么？");

synth.Dispose();
</pre>
<p> 从.NET 4.0开始，增加了一个 dynamic 动态绑定的功能，使得C#可以像VB.NET那样，使用后期绑定的方式，使用COM对象了，从而使得直接COM调用，也非常的简单了。</p>
<p>.Net 4.0 的实现方式：</p>
<pre>Type type = Type.GetTypeFromProgID("SAPI.SpVoice");

dynamic spVoice = Activator.CreateInstance(type);

spVoice.Speak("你好,欢迎使用 CSharp 4.0！");
</pre>
<p>说明： 如果是XP系统，并且没有安装 TTS 5.1 语言包的话，上面的朗读，会忽略所有的中文的。</p>
<p>我这里，也把 TTS5.1的下载地址，一并发布出来：</p>
<p>SDK 5.1 下载，SpeechSDK51.exe， <a href="http://download.microsoft.com/download/B/4/3/B4314928-7B71-4336-9DE7-6FA4CF00B7B3/SpeechSDK51.exe" rel="external nofollow noreferrer">这里</a> </p>
<p><a href="http://download.microsoft.com/download/B/4/3/B4314928-7B71-4336-9DE7-6FA4CF00B7B3/SpeechSDK51.exe" rel="external nofollow noreferrer">http://download.microsoft.com/download/B/4/3/B4314928-7B71-4336-9DE7-6FA4CF00B7B3/SpeechSDK51.exe</a></p>
<p>SDK 5.1 语言包，SpeechSDK51LangPack.exe，<a href="http://download.microsoft.com/download/B/4/3/B4314928-7B71-4336-9DE7-6FA4CF00B7B3/SpeechSDK51LangPack.exe" rel="external nofollow noreferrer">这里</a></p>
<p><a href="http://download.microsoft.com/download/B/4/3/B4314928-7B71-4336-9DE7-6FA4CF00B7B3/SpeechSDK51LangPack.exe" rel="external nofollow noreferrer">http://download.microsoft.com/download/B/4/3/B4314928-7B71-4336-9DE7-6FA4CF00B7B3/SpeechSDK51LangPack.exe</a></p>
<p>SDK 5.1 语音文件，SpeechSDK51MSM.exe，<a href="http://download.microsoft.com/download/B/4/3/B4314928-7B71-4336-9DE7-6FA4CF00B7B3/SpeechSDK51MSM.exe" rel="external nofollow noreferrer">这里</a></p>
<p><a href="http://download.microsoft.com/download/B/4/3/B4314928-7B71-4336-9DE7-6FA4CF00B7B3/SpeechSDK51MSM.exe" rel="external nofollow noreferrer">http://download.microsoft.com/download/B/4/3/B4314928-7B71-4336-9DE7-6FA4CF00B7B3/SpeechSDK51MSM.exe</a></p>
<p>转自：http://www.cnblogs.com/sntetwt/p/3533475.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-15 14:19:38</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/windows/" title="windows">windows</a>, <a href="https://www.iamivan.net/tag/http/" title="http">http</a>, <a href="https://www.iamivan.net/tag/type/" title="type">type</a>, <a href="https://www.iamivan.net/tag/api/" title="api">api</a>, <a href="https://www.iamivan.net/tag/sdk/" title="sdk">sdk</a>, <a href="https://www.iamivan.net/tag/tts/" title="tts">tts</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>C#语音朗读文本 — TTS的实现的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M9Y2jXM.html" rel="bookmark">TTS 语音朗读</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 遇见一个很头痛的问题,C#写的TTS语音朗读的webservice服务,就是在服务器上把文本转换成语音文件发送到客户端朗读,本机运行没有问题,windows2003部署也没问题,到2008上面,第一次请求正常,第二次请求时只生成一个1k的语音文件,直到你清空了应用程序池后,第一次请求正常,第二次.....,依次循环.谁遇见过这个问题,首先IIS的设置上,32bit程序运行.本地服务这两两个经常遇到的问题已经设置,依旧不起作用 解决方案 解决方案二:没人回复,难道放假了都,自己顶一下解决			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/XMl5JVp.html" rel="bookmark">实现语音朗读功能</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				不知道大家有没有发现,在System.Speech.Synthesis命名空间下有一个SpeechSynthesizer类,它可 以指定的文本内容进行语音朗读,而且,这个类用起来也严重简单,简单到什么程度? 试试看. 首先,新建一个项目,随便你建什么项目,反正能测试即可. 然后,添加对System.Speech程序 集的引用,这个不用我教你了,你再菜,只要用VS都不可能不懂这个. 引入 System.Speech.Synthesis命名空间,最后,看好了,几行代码搞定. private void			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pnx4LZb.html" rel="bookmark">Excel语音朗读表格数据 轻松完成数据检查</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				工作中常常需要仔细校对各种复杂的Excel表格数据,如果全部靠眼睛校对,很容易出差错.如果Excel表格可以把表格数据念出来,不仅减轻了工作量,还不容易出错. 在Excel2003中,我们可以通过&quot;视图&quot;-&quot;工具栏&quot;,选中&quot;文本到语音&quot;复选框来使用朗读单元格功能.由于这个功能在安装Excel时不是默认的,所以在第一次使用时会提示插入Office安装光盘来安装这个功能. 使用的时候打开&quot;文本到语音&quot;工具栏,数据文件中用鼠标选择要			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWlrGmp.html" rel="bookmark">C&num;如何完成语音朗读功能？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 用C#完成,比如说选中几个字,然后用语音朗读出来?有API调用??请大神求解谢谢!! 解决方案 解决方案二:不想复制黏贴了,你去这里看看吧,有一篇文章能帮助你的.http://www.yesky.com/263/1663263.shtml解决方案三:privatevoidbutton1_Click(objectsender,RoutedEventArgse){SpeechSynthesizerspeech=newSpeechSynthesizer();speech.Volume=100			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pLBd4Rb.html" rel="bookmark">语音朗读入门</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				利用微软自带的TTS,能够做到一个简单的语音朗读功能 using System.Speech.Synthesis; //用于语音朗读 using System.Speech.Recognition;//用于识别语音 namespace ConsoleApplication1 {     class Program     {         static void Main(string[] args)         {             while (true)            			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pk75E1p.html" rel="bookmark">wireshark抓包能分辨数据包是视频、语音、文本、图片之类么</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 wireshark抓包能分辨数据包是视频.语音.文本.图片之类么 求帮忙,..................................................................... 解决方案 理论上是可以的,不同的协议有各自的特征数据. 解决方案二: 只能通过协议来分析,比如http包,那么可以查看http header中的content-type 解决方案三: wireshark抓到的包,可以看到ip.port.通信协议.通信内容,如果是使用特定的协议			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPZE2mb.html" rel="bookmark">iphone6怎么关闭语音朗读&quest;苹果6关闭语音朗读方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1)首先,开启了Voiceover(语音朗读)功能后,无论你按哪里都会有出现一个黑色框框的.大家如果看到下图一样,有框框跟随,证明你已经开启了Voiceover功能.然后大家点击[设置]按钮,连按2次.然后在[设置]界面找到[通用]栏,同样连按2次.(如下图所示) 注:在开启Voiceover功能后,大家需要选择哪个按键都需要连按2次才能进入.   2)在[通用]界面里选择[辅助功能],然后选择[Voiceover]进入.(如下图所示)   3)最后在[Voiceover]界面里,连按2次开关按			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2MWy5Xz.html" rel="bookmark">java语音实现技术TTS资料</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				要做语音,查了一些资料. Java Speech API :http://java.sun.com/products/java-media/speech/ Java Speech API 允许开发人员将语音技术整合到 Java applet 和应用程序的用户界面中.这种 API 规定一个跨平台的接口来支持命令-控制识别器.听写系统和语音合成器. 这个综合 API 被分成几个规范: Java Speech API 规范(Java Speech API Specification,JSAPI) Ja			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5AOn6p.html" rel="bookmark">C&num;中实现语音朗读（短信 &amp;amp&semi;amp&semi; 语音短信）sms</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一个项目中,客户要求实现给集团公司员工发送短信如,拜年短信等.另,支持给领导发送语音短信 .实现方法如下. 1.群发短信有几种方式: 1.1 短信猫:一个普通的工控机,插入SIM卡,可以通过接口的方式发送短信,点对点发送,到达 率快准确,但是呼出的号码是普通的手机号码.缺点:移动对SIM卡的限制是每小时200条,发送太多会 锁卡.目前短信猫有8端口的,即1小时最多能发送1600条.每条短信的价格为0.1元. 技术实现: 一般配合短信猫有SDK组件,才共享数据库作为接口.定义4个表:待发送表,发送			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9MxqZPp.html" rel="bookmark" class="title">Web Service&OpenCurlyDoubleQuote;四长两短&rdquo;</a>
					<div>
						web Web Service&quot;四长两短&quot;(中国计算机报 陈友 2001年11月01日 17:42) 当前,Web Service是一个热门话题.但是,Web Service究竟是 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M62d5JM.html" rel="bookmark" class="title">PS鼠绘路径描边的抽象蜂鸟图片</a>
					<div>
						  漫漫长夜 突发奇想 画了一只蜂鸟 .写下心得体会,供和我一样的新手学习.效果图 不敢称教程,把一些需要注意的事项写出来,画这个需要耐心和对每条线的掌握.我感觉用PS做这个比AI要快很多. 一.选择 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjYGop.html" rel="bookmark" class="title">迅雷下载99&percnt;的解决办法</a>
					<div>
						       资源下载到99%停住是一个相当麻烦的事情,但任何事物并不绝对.有时动动脑筋,往往可以采用曲线救国策略,采用间接的方法来解决这个难以化解的难题.   一.暂停/重下载法   因为迅雷采用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3NOwwz.html" rel="bookmark" class="title">关于WPS数据填充单元格的操作方法介绍</a>
					<div>
						  进行数据填充可以通过以下几种方法: 1.鼠标左键直接拖动填充柄填充(此时会以升序的方式填充). 2.Ctrl+鼠标左键拖动填充柄(此时是以复制单元格的形式填充). 3.鼠标右键拖动单元格,在弹出的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7algb.html" rel="bookmark" class="title">Windows 7有关睡眠和休眠的常见问题解答</a>
					<div>
						以下是一些有关睡眠和休眠的常见问题解答. 全部隐藏 睡眠.休眠和混合睡眠之间有什么区别? &quot;睡眠&quot;是一种节能状态,当您希望再次开始工作时,可使计算机快速恢复全功率工作(通常在几秒钟 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBKo6KM.html" rel="bookmark" class="title">Z170主板配什么CPU？</a>
					<div>
						  随着酷睿六代平台逐渐成为了装机主流,大家开始把重心放到了六代平台所需的硬件上面.最近有一些网友问到笔者关于Z170主板怎么样以及Z170主板配什么CPU等相关问题.我们知道Z170主板上市也有一段 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRvx9p.html" rel="bookmark" class="title">解决win7不能共享xp打印机和文件方法</a>
					<div>
						  具体过程: 一.win7这边 1.开启的服务 右键点击我的电脑或计算机-管理----服务和应用程序,打开服务 或者用WIN+R打开运行---输入services.msc回车,打开服务设置 将以下服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjm9Y8z.html" rel="bookmark" class="title">如何将win7系统中的欢迎界面取消掉</a>
					<div>
						  1.首先,咱们同时按下win7旗舰版电脑键盘上的win+R快捷键打开电脑的运行窗口,在打开的运行窗口中,咱们输入gpedit.msc并单击回车,这样就可以打开win7旗舰版电脑的组策略编辑器窗口了 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze75BwM.html" rel="bookmark" class="title">jsp 获取session中数据</a>
					<div>
						问题描述 jsp 获取session中数据 后台: HttpServletRequest request = ((ServletRequestAttributes) RequestContextHol ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5oaqnb.html" rel="bookmark" class="title">开源Asp&period;Net MVC网上商城BrnShop正式发布，提供源码下载&lpar;非官方文章&rpar;</a>
					<div>
						BrnShop网上商城是以Asp.Net mvc3为基础开发的网上商城,源代码完全开源(企业版的源代码目前还没有完全整理完成,一旦整理完成也全部开源). 源码下载地址: asp.net(c#)开源商店 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YA23M.html" rel="bookmark" class="title">joinColumns和inverseJoinColumns的用法</a>
					<div>
						最近在工作中使用springside,里面用到了hibernate的多对多 一开始我在配置department(部门表)和menu(栏目表)的时候,这样写的. Department实体类中的getMe ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8kJVoM.html" rel="bookmark" class="title">怎么让机器看懂每家风格和字体都不同的门牌号是个问题</a>
					<div>
						对于用街景车采集地图信息的Google来说,怎么让机器看懂每家风格和字体都不同的门牌号是个问题,因此衍生出了Google的图像识别算法--据Google在近几天的ICL上更新的paper来看,Goog ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwx72kb.html" rel="bookmark" class="title">在linux下的weblogic报错，但是 在window下的tomcat不报错！！十万火急！</a>
					<div>
						问题描述 对URL参数加密之后再重定向跳转的时候就报错了!报错信息SecurityHelper类packagecom.huarun;importjava.security.*;importjavax. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MW2ARrb.html" rel="bookmark" class="title">struts2 文件下载</a>
					<div>
						文件下载是一个很常见的功能,用struts2实现文件下载的步骤: 一)定义一个Action类,FileDownload.java [java] view plaincopy package com.s ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQyoqp.html" rel="bookmark" class="title">wu-ftp服务器Linux系统配置</a>
					<div>
						在众多的网络应用中,FTP(http://www.aliyun.com/zixun/aggregation/19352.html&quot;&gt;File Transfer porotocol)有着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAAvwKM.html" rel="bookmark" class="title">iPad Mini售价曝光：截图显示约323美元</a>
					<div>
						iPad Mini售价疑 曝光:零售库存系统截图显示为起价249欧元新浪科技讯 北京时间10月15日早间消息,尽管iPad Mini尚未发布,但科技博客Mobile Geeks披露的库存系统截图却显示 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1984z.html" rel="bookmark" class="title">你知道众创空间办公无线网络到底有多重要吗？</a>
					<div>
						由于在国家&quot;全民创新,万众创业&quot;的大力倡导下,众创空间在近几年的发展速度也不可谓不快!但是行业发展过快,行业内的种种问题随之也显露出来.以无线办公为主的联合办公区域,无线网络的品质 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgqk4b.html" rel="bookmark" class="title">做SEO这个行业的人越来越多，竞争何止是激烈二词可以来形容的</a>
					<div>
						做SEO这个行业的人越来越多,竞争何止是激烈二词可以来形容的,我们面临的问题有很多,比如该怎么提高自己的创新思维.如何去完善网站.如何整理资源等等问题都是我们做优化人员需要掌握和了解的.那么,优化公司 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkA1B7b.html" rel="bookmark" class="title">一呼百应&OpenCurlyDoubleQuote;逆市扩招&rdquo;渠道代理</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 国内最大专业B2B供求信息搜索引擎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLYnqM.html" rel="bookmark" class="title">中国贸促团与意企签署２０亿美元合作协议</a>
					<div>
						中国贸易投资促进团日前与意大利企业签署了30多个项目合同和意向.商务部副部长高虎城表示,代表团与意大利企业签署的协议金额总计20亿美元.还表示中国将继续向欧洲派遣贸易和投资代表团,并将在其他三个国家寻 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xG3kb.html" rel="bookmark" class="title">linux hadoop ssh-linux安装Hadoop中遇到的问题。。。</a>
					<div>
						问题描述 linux安装Hadoop中遇到的问题... 求大神指点:linux怎样安装openssh?最好有详细的步骤....跪谢..					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3J0dAz.html" rel="bookmark" class="title">mfc-MFC程序，在OnSize函数中怎么才能自动缩放</a>
					<div>
						问题描述 MFC程序,在OnSize函数中怎么才能自动缩放 MFC程序,在OnSize函数中怎么才能自动缩放MainFrame中的内容呢?写了半天没有思路,谢谢! 解决方案 http://wenku. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRN0NKM.html" rel="bookmark" class="title">阿里巴巴将全面参与雄安新区建设 成立三家子公司</a>
					<div>
						9月29日消息,阿里巴巴将在雄安新区成立三家子公司,全面参与&quot;智能雄安&quot;建设,服务国家&quot;千年大计&quot;.三家子公司分别为&quot;阿里巴巴(雄安)人工智能技术有限 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bj8mVdp.html" rel="bookmark" class="title">YouTube为何收购游戏直播平台Twitch</a>
					<div>
						摘要: 一组2013年的数据看YouTube为何收购游戏直播平台Twitch,这是Twitch此前在纽约 Streaming Media East show上分享的, Twitch每月拥有4500万的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLOm6M.html" rel="bookmark" class="title">sql server中批量插入与更新两种解决方案分享&lpar;asp&period;net&rpar;&lowbar;实用技巧</a>
					<div>
						若只是需要大批量插入数据使用bcp是最好的,若同时需要插入.删除.更新建议使用SqlDataAdapter我测试过有很高的效率,一般情况下这两种就满足需求了 bcp方式 复制代码 代码如下: ///  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2ZEdVb.html" rel="bookmark" class="title">SQL Server调优系列进阶篇（查询优化器的运行方式）</a>
					<div>
						原文:SQL Server调优系列进阶篇(查询优化器的运行方式) 前言 前面我们的几篇文章介绍了一系列关于运算符的基础介绍,以及各个运算符的优化方式和技巧.其中涵盖:查看执行计划的方式.几种数据集常用 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQW3AOp.html" rel="bookmark" class="title">《Unity着色器和屏幕特效开发秘笈（原书第2版）》一1&period;3　从Unity 4向Unity 5迁移</a>
					<div>
						本节书摘来自华章出版社&lt;Unity着色器和屏幕特效开发秘笈(原书第2版)&gt;一书中的第1章,第1.3节,作者 [英]艾伦朱科尼(Alan Zucconi) [美]肯尼斯拉默斯(Kenneth ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgPVv6p.html" rel="bookmark" class="title">深入理解你的代码才能成为优秀的程序员</a>
					<div>
						为什么有些程序员似乎有着一种神奇的能力,能够在眨眼间提取代码的意思? 为了回答这个问题,我先从科学的角度来研究我们理解代码的过程. 事实证明,理解代码是有其心理过程的,我们可以利用这方面的知识成为一名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8Gl09M.html" rel="bookmark" class="title">让我们 Core 在一起：ASP&period;NET Core &amp;amp&semi; &period;NET Core</a>
					<div>
						Microsoft .NET 自 2002 年发行 v1.0 以来,已经过了近 14 个年头,在这 14 年里面,.NET 日渐成熟并成为 Microsoft 的重要开发平台之一,只要是在 Windo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Yd4Pp.html" rel="bookmark" class="title">javascript验证checkbox&comma;求答案！！！</a>
					<div>
						问题描述 主页上有一行行订单记录,每行最前面有个checkbox,最上面一行(标题行)有个全选的checkbox,订单有状态属性,分别是三种:新出.处理中.处理完成. 主页上还有一个处理按钮,用来改变 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
